Package com.pixelmed.dicom

# Class DicomDirectoryRecordFactory.RegistrationDirectoryRecord

java.lang.Object
com.pixelmed.dicom.DicomDirectoryRecord
com.pixelmed.dicom.DicomDirectoryRecordFactory.RegistrationDirectoryRecord

All Implemented Interfaces:
  `Comparable`, `TreeNode`

Enclosing class:
  DicomDirectoryRecordFactory

public class DicomDirectoryRecordFactory.RegistrationDirectoryRecord extends DicomDirectoryRecord

## Field Summary

### Fields inherited from class com.pixelmed.dicom.DicomDirectoryRecord

`integerValue, stringValue, uid`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`protected void`
`makeIntegerValue()`
Make the value that will be retured on a call to `getIntegerValue()`.
`protected void`
`makeStringValue()`
Make the value that will be retured on a call to `getStringValue()`.
`String`
`toString()`

### Methods inherited from class com.pixelmed.dicom.DicomDirectoryRecord

`addChild, addSibling, children, compareToByIntegerValue, compareToByStringValue, equals, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getIndex, getIntegerValue, getParent, getStringValue, getUIDForComparison, isLeaf, removeChild, setParent`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`
Overrides:
  `compareTo` in class `DicomDirectoryRecord`

### makeStringValue

protected void makeStringValue()
Description copied from class: `DicomDirectoryRecord`

Make the value that will be retured on a call to `getStringValue()`.

Specified by:
  `makeStringValue` in class `DicomDirectoryRecord`

### makeIntegerValue

protected void makeIntegerValue()
Description copied from class: `DicomDirectoryRecord`

Make the value that will be retured on a call to `getIntegerValue()`.

Specified by:
  `makeIntegerValue` in class `DicomDirectoryRecord`